For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of all product categories
      • POSTCreate a product category
      • PUTUpdate or create a product category (upsert)
      • GETGet a product category
      • DELDelete a product category
      • PATCHUpdate a product category
      • POSTSearch product categories.
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIProduct Categories

Search product categories.

POST
/v:version/product-categories/search
POST
/v:version/product-categories/search
$curl -X POST https://test.api.solvimon.com/v1/product-categories/search \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "search_fields": [
> {
> "name": "name",
> "value": "Some product item name",
> "wildcard_start": true,
> "wildcard_end": true,
> "ignore_case": true
> },
> {
> "name": "reference",
> "value": "value",
> "wildcard_start": true,
> "wildcard_end": true,
> "ignore_case": true
> }
> ]
>}'
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "name": "string",
7 "reference": "string",
8 "description": "string",
9 "tax_category": "STANDARD",
10 "display_order": 1,
11 "customer_id": "string"
12 }
13 ],
14 "links": {
15 "first": "string",
16 "previous": "string",
17 "current": "string",
18 "next": "string"
19 },
20 "limit": 1,
21 "page": 1,
22 "total_number_of_pages": 1
23}

Requires the PRODUCT_CATEGORY.VIEW permission.

Was this page helpful?
Previous

Get a list of all products

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.
limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional

The parameter by which the response is ordered. default = name

order_directionstringOptional

The parameter for the response ordering direction (asc, desc) default asc

Request

This endpoint expects an object.
search_fieldslist of objectsOptional
filter_fieldslist of objectsOptional
selection_rule_fieldslist of objectsOptional

Response

OK
datalist of objects
linksobject
limitinteger or null
pageinteger or null
total_number_of_pagesinteger or nullDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error